Bug 967566 - [RFE] Enhance python-rhsm to expose the issuer.
[RFE] Enhance python-rhsm to expose the issuer.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: python-rhsm (Show other bugs)
5.10
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Bryan Kearney
IDM QE LIST
: FutureFeature
Depends On:
Blocks: rhsm-rhel510
  Show dependency treegraph
 
Reported: 2013-05-27 09:21 EDT by Bryan Kearney
Modified: 2013-10-01 09:48 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-01 09:48:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bryan Kearney 2013-05-27 09:21:02 EDT
The main reason for this is that when getting a random certificate, 
the first question is "where did this come from". Often, the only
way to know this is by looking at the CA. Once this is in, the rct
tool can be enhanced to expose this data.
Comment 1 Bryan Kearney 2013-05-28 10:15:10 EDT
fixed in master in 

commit 712a62b80ea4fa703b17d887440cc9ee75ce5f96
Author: Bryan Kearney <bkearney@redhat.com>
Date:   Fri May 24 17:08:42 2013 -0400

    967566: Enhance the ssl bindings to expose the issuer.
    
    The main reason for this is that when getting a random certificate,
    the first question is "where did this come from". Often, the only
    way to know this is by looking at the CA. Once this is in, the rct
    tool can be enhanced to expose this data.
Comment 2 Sharath Dwaral 2013-06-05 17:27:37 EDT
Verified in Bug 968364
Comment: https://bugzilla.redhat.com/show_bug.cgi?id=968364#c4


Moving to VERIFIED

Note You need to log in before you can comment on or make changes to this bug.